Delete a legal entity
Delete a legal entity will change the status of a legal entity registration to REVOKED. Endpoint Permission: Admin, Non-Signing Admin.
DELETE
/
legal_entities
/
{legalEntityId}
TypeScript
const response: Promise<FireblocksResponse<void>> = fireblocks.compliance.deleteLegalEntity(complianceApiDeleteLegalEntityRequest);CompletableFuture<ApiResponse<Void>> response = fireblocks.compliance().deleteLegalEntity(legalEntityId);response = fireblocks.compliance.delete_legal_entity(legal_entity_id);curl --request DELETE \
--url https://api.fireblocks.io/v1/legal_entities/{legalEntityId}const options = {method: 'DELETE'};
fetch('https://api.fireblocks.io/v1/legal_entities/{legalEntityId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"code": 123
}{
"message": "<string>",
"code": 123
}{
"message": "<string>",
"code": 123
}Path Parameters
The unique ID of the legal entity registration to delete
Response
Legal entity deleted successfully
Was this page helpful?
Previous
List vault accounts for a legal entity (Paginated)Returns vault account IDs explicitly assigned to a specific legal entity registration, with cursor-based pagination.
Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor, Viewer.
Next
⌘I
TypeScript
const response: Promise<FireblocksResponse<void>> = fireblocks.compliance.deleteLegalEntity(complianceApiDeleteLegalEntityRequest);CompletableFuture<ApiResponse<Void>> response = fireblocks.compliance().deleteLegalEntity(legalEntityId);response = fireblocks.compliance.delete_legal_entity(legal_entity_id);